import java.util.*;

public class Gen08 {

	public static void main(String[] args) {
		System.out.println(63);
		long res = 1;
		for(int i = 0; i <= 62; ++i) {
			System.out.println(res + " 1000000000000000000");
			res = res * 2;
		}
	}
} 